Page MenuHomePhabricator

[EPIC] Figure out plans for comms campaigns and product plans for next FY
Closed, ResolvedPublicSep 30 2018

Description

RACI Chart

RZack, Anne
AAnne
CToby, Heather, regional managers
INew Readers team

Timeline / deliverable due dates

  • Hire new readers product tea0
  • Define campaign timeline for 2nd campaign
  • Define initial product roadmap

Project description
This is still up in the air and should be tentatively ironed out. Dependent on hiring timelines, etc.

Develop timelines, targets, and dependency plans for regional marketing campaigns in upcoming fiscal year. Coordinate timelines with expected product experiments. Identify barriers to executing these projects and ensure that they are addressed in the plan (for example: sufficient content on Wikipedia, community interest, etc.).

Details

Due Date
Sep 30 2018, 7:00 AM

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 10:23 PM
Vvjjkkii renamed this task from [EPIC] Figure out plans for comms campaigns and product plans for next FY to a2daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii removed atgo as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from a2daaaaaaa to [EPIC] Figure out plans for comms campaigns and product plans for next FY.Jul 2 2018, 1:59 PM
CommunityTechBot assigned this task to atgo.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
atgo set Due Date to Sep 30 2018, 7:00 AM.Aug 8 2018, 8:47 PM
atgo updated the task description. (Show Details)
Aklapper closed this task as Resolved.Sep 16 2019, 9:01 AM

FY2018-19 is past. Hence assuming this task is done. If not, then please reopen and update / elaborate on this task.